'use strict';

/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/cover-view.html
 */
var coverView = {
  PROPS: [{
    name: 'scrollTop',
    get: function get(domNode) {
      var value = domNode.getAttribute('scroll-top');
      return value !== undefined && !isNaN(+value) ? +value : '';
    }
  }],
  handles: {}
};

exports.default = coverView;
