'use strict';

/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/open-data.html
 */
var openData = {
  PROPS: [{
    name: 'type',
    get: function get(domNode) {
      return domNode.getAttribute('type') || '';
    }
  }, {
    name: 'openGid',
    get: function get(domNode) {
      return domNode.getAttribute('open-gid') || '';
    }
  }, {
    name: 'lang',
    get: function get(domNode) {
      return domNode.getAttribute('lang') || 'en';
    }
  }],
  handles: {}
};

exports.default = openData;
