'use strict';

var ad = {
  PROPS: [{
    name: 'unitId',
    get: function get(domNode) {
      return domNode.getAttribute('unit-id') || '';
    }
  }, {
    name: 'adIntervals',
    get: function get(domNode) {
      return +domNode.getAttribute('ad-intervals') || 0;
    }
  }],
  handles: {
    onAdLoad: function onAdLoad(evt) {
      this.callSimpleEvent('load', evt);
    },
    onAdError: function onAdError(evt) {
      this.callSimpleEvent('error', evt);
    },
    onAdClose: function onAdClose(evt) {
      this.callSimpleEvent('close', evt);
    }
  }
};

exports.default = ad;
